From 6fea04c62c1fca1124b08d1356f34138607b1eec Mon Sep 17 00:00:00 2001
From: kongr45gpen <electrovesta@gmail.com>
Date: Thu, 8 Aug 2019 15:00:38 +0300
Subject: [PATCH] Make sure to return the intented value from MISRA tests

---
 ci/cppcheck-misra.sh | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/ci/cppcheck-misra.sh b/ci/cppcheck-misra.sh
index 737eb6f2..3ea5c6a1 100755
--- a/ci/cppcheck-misra.sh
+++ b/ci/cppcheck-misra.sh
@@ -30,8 +30,13 @@ sed -i -r 's/(.*Script.*)|(.*Checking.*)|(.*MISRA.*)|(.*Undefined: .*)|(.* \(-\)
 # run the summarizer for a nice, clean summary of errors
 echo -e "\u001b[34;1mSummarizing results...\u001b[0m"
 python3 ci/summarizer.py --report ci/report.msr --suppress 3.1 5.1 5.2 5.3 12.3 13.4 14.4 15.5 16.3 18.4 18.8
+RETURN=$?
 
 # clean up old files
 echo -e "\u001b[34;1mRemoving dump files...\u001b[0m"
 echo > ci/report.msr # clear the report file
 find inc/ src/ -type f -name "*.dump" | xargs rm -rf
+
+# finally return the return value of the summarizer.py script
+exit $RETURN
+
-- 
GitLab